# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(English.pm) perl(Exporter.pm) perl(FindBin.pm) perl(Text/Wrap.pm) perl(Tie/RefHash.pm) perl-podlators unzip
# END SourceDeps(oneline)
Name:           NaturalDocs
Version:        1.4
Release:        alt1_13
Summary:        Documentation generator for multiple programming languages

Group:          Development/Tools
License:        GPLv2+
URL:            http://www.naturaldocs.org/
Source0:        http://downloads.sourceforge.net/naturaldocs/%{name}-%{version}.zip
Patch0:         NaturalDocs-1.4-paths.patch
BuildArch:      noarch

BuildRequires:  dos2unix
Source44: import.info

%description
Natural Docs is an open-source documentation generator for multiple
programming languages.  You document your code in a natural syntax that
reads like plain English.  Natural Docs then scans your code and builds
high-quality HTML documentation from it.


%prep
%setup -q -c
%patch0 -p0


%build
# There's a couple of files with DOS line endings
find . -type f -exec dos2unix -q -k '{}' \;

# And one non-UTF8 one
iconv -f ISO-8859-1 -t UTF-8 Help/example/Default.css >Help/example/Default.css.utf8
touch --reference Help/example/Default.css Help/example/Default.css.utf8
mv Help/example/Default.css.utf8 Help/example/Default.css


%install

# Directory structure
install -d $RPM_BUILD_ROOT%{_datadir}/NaturalDocs
install -d $RPM_BUILD_ROOT%{_sysconfdir}/NaturalDocs
install -d $RPM_BUILD_ROOT%{perl_vendor_privlib}
install -d $RPM_BUILD_ROOT%{_bindir}

# Copy files
cp -rp Info JavaScript Styles $RPM_BUILD_ROOT%{_datadir}/NaturalDocs
cp -rp Modules/* $RPM_BUILD_ROOT%{perl_vendor_privlib}
cp -rp Config/* $RPM_BUILD_ROOT%{_sysconfdir}/NaturalDocs
install -pm 755 NaturalDocs $RPM_BUILD_ROOT%{_bindir}


%files
%{_datadir}/NaturalDocs
%config(noreplace) %{_sysconfdir}/NaturalDocs
%{perl_vendor_privlib}/*
%{_bindir}/NaturalDocs
%doc License-GPL.txt
%doc Help/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_13
- initial fc import

